function pw
	set -l clipboard
	if type -q pbcopy
		set clipboard pbcopy
	else if type -q xclip
		set clipboard xclip
	else
		echo "No clipboard handler found!"
		return 1
	end

	cryptopassphrase -k ~/.scrypt-pwgen.key $argv | tr -d '\n' | $clipboard
end
